<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

session_name('portal_absa');
session_start();
if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){
	?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?
	exit;
}
require("conexion/conectar.php");

$conexion = new CONDB();
$conexion->conectar();

if(isset($_POST["comprobacion"]) && trim($_POST["comprobacion"]) != "")
{
			$comprobacion =  base64_decode($_REQUEST["comprobacion"]);
			$comentario_comprobacion=$_REQUEST["comentario_comprobacion"];
                        $query = "update recibedoce set comentario_comprobacion = '$comentario_comprobacion' where upper(concat(comprobacion_prefijo,'-',comprobacion_no))=upper('$comprobacion')";
                        mysqli_query($conexion->CONEXION,$query);
                        if(mysqli_errno($conexion->CONEXION) != 0){
                            ?><script>alert('No se pudieron guardar los cambios.\nIntente nuevamente o contacte al Administrador del Sistema.');</script><?
                        }else{
                            ?><script>alert('Datos guardados correctamente.'); $j_6('#closeModal').click();</script><?
                        }
}
?>